### Signal

# Gtk SignalListItemFactory::setup

#### Declaration

    void
    setup (
      GtkSignalListItemFactory* self,
      GObject* object,
      gpointer user_data
    )

#### Description [src]

Emitted when a newly created listitem needs to be prepared for use.

It is the first signal emitted for every listitem.

The handler for this signal must call `gtk_list_item_set_child()` to populate the listitem with widgets.

The `GtkSignalListItemFactory::teardown` signal is the opposite of this signal and can be used to undo everything done in this signal.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`object`

  Type: `GObject`

  The `GObject` to set up.

  The data is owned by the caller of the function.